#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Canary
%define		pnam	Stability
Summary:	Canary::Stability - canary to check Perl compatibility for Schmorp's modules
Summary(pl.UTF-8):	Canary::Stability - kanarek do sprawdzania zgodności Perla z modułami Schmorpa
Name:		perl-Canary-Stability
Version:	2013
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/Canary-Stability-%{version}.tar.gz
# Source0-md5:	5368520547521b254317ea0e9b3d23ab
URL:		https://metacpan.org/release/Canary-Stability
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is used by Schmorp's modules during configuration stage to
test the installed Perl for compatibility with his modules.

It's not, at this stage, meant as a tool for other module authors,
although in principle nothing prevents them from subscribing to the
same ideas.

%description -l pl.UTF-8
Ten moduł jest używany przez moduły Schmorpa na etapie konfiguracji
do sprawdzenia zainstalowanej wersji Perla pod kątem zgodności z
modułami tego autora.

Na tym etapie nie jest przeznaczony dla modułów innych autorów, ale
zasadniczo nie ma przeszkód do korzystania z tych samych idei.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes README
%dir %{perl_vendorlib}/Canary
%{perl_vendorlib}/Canary/Stability.pm
%{_mandir}/man3/Canary::Stability.3pm*
%changelog
* Fri May 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Canary-Stability.git;a=log;h=master

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 11ef6d0
- updated to 2013

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> da17887
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> b6f15af
- updated to 2012

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 492af73
- missing dir

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 2bccf2f
- new

